Bug 226127 - Merge Review: man-pages-ko
Merge Review: man-pages-ko
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:37 EST by Nobody's working on this, feel free to take it
Modified: 2012-11-15 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 22:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tagoh: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:37:57 EST
Fedora Merge Review: man-pages-ko

http://cvs.fedora.redhat.com/viewcvs/devel/man-pages-ko/
Initial Owner: dsantani@redhat.com
Comment 1 Akira TAGOH 2012-11-15 22:29:22 EST
just surprised that this is still open. anyway, I'll take this for review.
Comment 2 Akira TAGOH 2012-11-15 22:36:16 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (man-pages-ko-20050219.tar.gz) Source1 (Man_Page_Copyright)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: man-pages-ko-20050219-23.fc19.noarch.rpm
          man-pages-ko-20050219-23.fc19.src.rpm
man-pages-ko.noarch: I: enchant-dictionary-not-found ko
man-pages-ko.noarch: W: spelling-error %description -l en_US manpages -> manages, man pages, man-pages
man-pages-ko.noarch: W: spelling-error %description -l en_US http -> HTTP
man-pages-ko.noarch: W: spelling-error %description -l en_US kldp -> kl
man-pages-ko.src: W: spelling-error %description -l en_US manpages -> manages, man pages, man-pages
man-pages-ko.src: W: spelling-error %description -l en_US http -> HTTP
man-pages-ko.src: W: spelling-error %description -l en_US kldp -> kl
man-pages-ko.src:55: W: mixed-use-of-spaces-and-tabs (spaces: line 50, tab: line 55)
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint man-pages-ko
man-pages-ko.noarch: I: enchant-dictionary-not-found ko
man-pages-ko.noarch: W: spelling-error %description -l en_US manpages -> manages, man pages, man-pages
man-pages-ko.noarch: W: spelling-error %description -l en_US http -> HTTP
man-pages-ko.noarch: W: spelling-error %description -l en_US kldp -> kl
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
man-pages-ko-20050219-23.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    man-pages-reader  



Provides
--------
man-pages-ko-20050219-23.fc19.noarch.rpm:
    
    man-pages-ko = 2:20050219-23.fc19



MD5-sum check
-------------
http://kldp.net/frs/download.php/1918/man-pages-ko-20050219.tar.gz :
  CHECKSUM(SHA256) this package     : 8fef2bd5c3e4c0298217d319a5494eda8407346ca48efd0e037032df505b34b0
  CHECKSUM(SHA256) upstream package : 8fef2bd5c3e4c0298217d319a5494eda8407346ca48efd0e037032df505b34b0


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -n man-pages-ko


looks good to me. APPROVED.

Note You need to log in before you can comment on or make changes to this bug.